"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ElasticTranscoderClient_1 = require("./ElasticTranscoderClient");
var CancelJobCommand_1 = require("./commands/CancelJobCommand");
var CreateJobCommand_1 = require("./commands/CreateJobCommand");
var CreatePipelineCommand_1 = require("./commands/CreatePipelineCommand");
var CreatePresetCommand_1 = require("./commands/CreatePresetCommand");
var DeletePipelineCommand_1 = require("./commands/DeletePipelineCommand");
var DeletePresetCommand_1 = require("./commands/DeletePresetCommand");
var ListJobsByPipelineCommand_1 = require("./commands/ListJobsByPipelineCommand");
var ListJobsByStatusCommand_1 = require("./commands/ListJobsByStatusCommand");
var ListPipelinesCommand_1 = require("./commands/ListPipelinesCommand");
var ListPresetsCommand_1 = require("./commands/ListPresetsCommand");
var ReadJobCommand_1 = require("./commands/ReadJobCommand");
var ReadPipelineCommand_1 = require("./commands/ReadPipelineCommand");
var ReadPresetCommand_1 = require("./commands/ReadPresetCommand");
var TestRoleCommand_1 = require("./commands/TestRoleCommand");
var UpdatePipelineCommand_1 = require("./commands/UpdatePipelineCommand");
var UpdatePipelineNotificationsCommand_1 = require("./commands/UpdatePipelineNotificationsCommand");
var UpdatePipelineStatusCommand_1 = require("./commands/UpdatePipelineStatusCommand");
var ElasticTranscoder = /** @class */ (function (_super) {
    tslib_1.__extends(ElasticTranscoder, _super);
    function ElasticTranscoder() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElasticTranscoder.prototype.cancelJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelJobCommand_1.CancelJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.createJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateJobCommand_1.CreateJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.createPipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePipelineCommand_1.CreatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.createPreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePresetCommand_1.CreatePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.deletePipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePipelineCommand_1.DeletePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.deletePreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePresetCommand_1.DeletePresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.listJobsByPipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListJobsByPipelineCommand_1.ListJobsByPipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.listJobsByStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListJobsByStatusCommand_1.ListJobsByStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.listPipelines = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPipelinesCommand_1.ListPipelinesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.listPresets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPresetsCommand_1.ListPresetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.readJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReadJobCommand_1.ReadJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.readPipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReadPipelineCommand_1.ReadPipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.readPreset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReadPresetCommand_1.ReadPresetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.testRole = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestRoleCommand_1.TestRoleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.updatePipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePipelineCommand_1.UpdatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.updatePipelineNotifications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePipelineNotificationsCommand_1.UpdatePipelineNotificationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticTranscoder.prototype.updatePipelineStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePipelineStatusCommand_1.UpdatePipelineStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ElasticTranscoder;
}(ElasticTranscoderClient_1.ElasticTranscoderClient));
exports.ElasticTranscoder = ElasticTranscoder;
//# sourceMappingURL=ElasticTranscoder.js.map