"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateJob_1 = require("../model/operations/CreateJob");
var CreateJobCommand = /** @class */ (function () {
    function CreateJobCommand(input) {
        this.input = input;
        this.model = CreateJob_1.CreateJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateJobCommand;
}());
exports.CreateJobCommand = CreateJobCommand;
//# sourceMappingURL=CreateJobCommand.js.map