"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ReadJob_1 = require("../model/operations/ReadJob");
var ReadJobCommand = /** @class */ (function () {
    function ReadJobCommand(input) {
        this.input = input;
        this.model = ReadJob_1.ReadJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ReadJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ReadJobCommand;
}());
exports.ReadJobCommand = ReadJobCommand;
//# sourceMappingURL=ReadJobCommand.js.map