"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestRole_1 = require("../model/operations/TestRole");
var TestRoleCommand = /** @class */ (function () {
    function TestRoleCommand(input) {
        this.input = input;
        this.model = TestRole_1.TestRole;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestRoleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestRoleCommand;
}());
exports.TestRoleCommand = TestRoleCommand;
//# sourceMappingURL=TestRoleCommand.js.map